Bug 266034 - [exp-run] Mk/Uses: always use colon for build/run suffix
Summary: [exp-run] Mk/Uses: always use colon for build/run suffix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Felix Palmen
URL: https://reviews.freebsd.org/D36349
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-25 15:33 UTC by Felix Palmen
Modified: 2022-09-15 14:28 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
0001-Mk-Uses-always-use-colon-for-build-run-suffix (691.78 KB, patch)
2022-08-25 15:33 UTC, Felix Palmen
no flags Details | Diff
0001-Mk-Uses-always-use-colon-for-build-run-suffix-v2 (692.20 KB, patch)
2022-08-25 17:06 UTC, Felix Palmen
no flags Details | Diff
0001-Mk-Uses-always-use-colon-for-build-run-suffix-v3 (692.59 KB, patch)
2022-08-26 06:25 UTC, Felix Palmen
no flags Details | Diff
0001-Mk-Uses-always-use-colon-for-build-run-suffix-v4 (685.83 KB, patch)
2022-09-06 09:17 UTC, Felix Palmen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen freebsd_committer 2022-08-25 15:33:45 UTC
Created attachment 236111 [details]
0001-Mk-Uses-always-use-colon-for-build-run-suffix

Hi,

I'd like to ask for another exp-run for a refactoring that would unify USES by always using a colon for build/run suffixes of "components". As the port Makefiles are updated by a script, this needs some complete testing...

Patch is attached and also available here:
https://people.freebsd.org/~zirias/patches/0001-Mk-Uses-always-use-colon-for-build-run-suffix.patch

Thanks, Felix
Comment 1 Felix Palmen freebsd_committer 2022-08-25 17:06:59 UTC
Created attachment 236114 [details]
0001-Mk-Uses-always-use-colon-for-build-run-suffix-v2

Error handling improved thanks to input from tcberner, probably not relevant, but still please use the new patch... attached and to be found here:
https://people.freebsd.org/~zirias/patches/0001-Mk-Uses-always-use-colon-for-build-run-suffix-v2.patch

Cheers, Felix
Comment 2 Tobias C. Berner freebsd_committer 2022-08-25 18:44:00 UTC
moin moin 

Yes, that looks like a sensible change from kde@'s point of view as it unifies the USE_FOO= list handling over the tree.


mfg Tobias
Comment 3 Felix Palmen freebsd_committer 2022-08-26 06:25:15 UTC
Created attachment 236123 [details]
0001-Mk-Uses-always-use-colon-for-build-run-suffix-v3

Rebased onto current main, new patch can also be found here:
https://people.freebsd.org/~zirias/patches/0001-Mk-Uses-always-use-colon-for-build-run-suffix-v3.patch

As this is a constantly moving target, here's how the diff is created from scratch:

1. Apply this patch to only change the framework files:
https://people.freebsd.org/~zirias/patches/always-use-colon_Mk-only.patch

2. Run this perl script from the PORTSDIR root to update all ports:
https://people.freebsd.org/~zirias/scripts/update-use-kde-qt-pyqt.pl.txt
Comment 5 Antoine Brodin freebsd_committer 2022-09-06 07:23:45 UTC
Please double or triple check the complete patch,  as the exp-run was performed only on qt/kde related ports and it seems you patch too much
Comment 6 Felix Palmen freebsd_committer 2022-09-06 09:17:55 UTC
Created attachment 236390 [details]
0001-Mk-Uses-always-use-colon-for-build-run-suffix-v4

(In reply to Antoine Brodin from comment #5)
Yes indeed, the patterns derived from the valid USES args matched in a few completely unrelated contexts :( Sorry for not noticing this previously...

Adding a bit of context to the matching fixes it for me, at least all the ports that failed are in the list of differences now!

Please find attached the fixed complete patch, also available here:
https://people.freebsd.org/~zirias/patches/0001-Mk-Uses-always-use-colon-for-build-run-suffix-v4.patch

Or, to "manually apply":

* Apply this updated patch: https://people.freebsd.org/~zirias/patches/always-use-colon_Mk-only-v2.patch
* Run this updated perl script: https://people.freebsd.org/~zirias/scripts/update-use-kde-qt-pyqt-v2.pl.txt
Comment 7 Antoine Brodin freebsd_committer 2022-09-11 06:40:27 UTC
Exp-run looks fine.
Please triple check the patch before committing